/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.projectcontroltable.entity;

import com.google.common.collect.Lists;
import com.jeeplus.common.persistence.DataEntity;
import com.jeeplus.common.utils.excel.annotation.ExcelField;
import com.jeeplus.modules.sys.entity.User;
import com.jeeplus.modules.sys.entity.Workattachment;
import com.jeeplus.modules.workcommunicaterecord.entity.WorkCommunicateRecord;
import com.jeeplus.modules.workdevicerecord.entity.WorkDeviceXjRecord;
import com.jeeplus.modules.workexplore.entity.WorkExplore;
import com.jeeplus.modules.workhandbill.entity.WorkHandBill;
import com.jeeplus.modules.workinfolist.entity.WorkInfoList;
import com.jeeplus.modules.worklog.entity.WorkLog;
import com.jeeplus.modules.worklog.entity.WorkMeeting;
import com.jeeplus.modules.workprojectcalc.entity.WorkProjectCalcBuild;
import com.jeeplus.modules.workprojectcalc.entity.WorkProjectCalcDecor;

import java.util.List;

/**
 * 过程控制表Entity
 * @author 马鹏波
 * @version 2018-06-08
 */
public class ProjectControlTable extends DataEntity<ProjectControlTable> {
	
	private static final long serialVersionUID = 1L;
	private String tName;		// 表格名称
	private String tType;		// 表格类型
	private User tUser;		// 负责人
	private String pfId;
	private String processName;
	private List<Workattachment> workAttachments;
	private WorkDeviceXjRecord workDeviceXjRecord;
	private WorkInfoList workInfoList;
	private WorkExplore workExplore;
	private WorkCommunicateRecord workCommunicateRecord;
	private List<WorkProjectCalcBuild> workProjectCalcBuildList = Lists.newArrayList();
	private List<WorkProjectCalcDecor> workProjectCalcDecorList = Lists.newArrayList();
	private WorkHandBill workHandBill;
	private WorkLog  workLog;
	private WorkMeeting workMeeting;

	public ProjectControlTable() {
		super();
	}

	public ProjectControlTable(String id){
		super(id);
	}

	@ExcelField(title="表格名称", align=2, sort=7)
	public String gettName() {
		return tName;
	}

	public void settName(String tName) {
		this.tName = tName;
	}

	@ExcelField(title="表格类型", align=2, sort=8)
	public String gettType() {
		return tType;
	}

	public void settType(String tType) {
		this.tType = tType;
	}

	public User gettUser() {
		return tUser;
	}

	public void settUser(User tUser) {
		this.tUser = tUser;
	}

	public String getPfId() {
		return pfId;
	}

	public void setPfId(String pfId) {
		this.pfId = pfId;
	}

	public List<Workattachment> getWorkAttachments() {
		return workAttachments;
	}

	public void setWorkAttachments(List<Workattachment> workAttachments) {
		this.workAttachments = workAttachments;
	}

	public String getProcessName() {
		return processName;
	}

	public void setProcessName(String processName) {
		this.processName = processName;
	}

	public WorkDeviceXjRecord getWorkDeviceXjRecord() {
		return workDeviceXjRecord;
	}

	public void setWorkDeviceXjRecord(WorkDeviceXjRecord workDeviceXjRecord) {
		this.workDeviceXjRecord = workDeviceXjRecord;
	}

	public WorkInfoList getWorkInfoList() {
		return workInfoList;
	}

	public void setWorkInfoList(WorkInfoList workInfoList) {
		this.workInfoList = workInfoList;
	}

	public WorkExplore getWorkExplore() {
		return workExplore;
	}

	public void setWorkExplore(WorkExplore workExplore) {
		this.workExplore = workExplore;
	}

	public WorkCommunicateRecord getWorkCommunicateRecord() {
		return workCommunicateRecord;
	}

	public void setWorkCommunicateRecord(WorkCommunicateRecord workCommunicateRecord) {
		this.workCommunicateRecord = workCommunicateRecord;
	}

	public List<WorkProjectCalcBuild> getWorkProjectCalcBuildList() {
		return workProjectCalcBuildList;
	}

	public void setWorkProjectCalcBuildList(List<WorkProjectCalcBuild> workProjectCalcBuildList) {
		this.workProjectCalcBuildList = workProjectCalcBuildList;
	}

	public List<WorkProjectCalcDecor> getWorkProjectCalcDecorList() {
		return workProjectCalcDecorList;
	}

	public void setWorkProjectCalcDecorList(List<WorkProjectCalcDecor> workProjectCalcDecorList) {
		this.workProjectCalcDecorList = workProjectCalcDecorList;
	}

	public WorkHandBill getWorkHandBill() {
		return workHandBill;
	}

	public void setWorkHandBill(WorkHandBill workHandBill) {
		this.workHandBill = workHandBill;
	}

	public WorkLog getWorkLog() {
		return workLog;
	}

	public void setWorkLog(WorkLog workLog) {
		this.workLog = workLog;
	}

	public WorkMeeting getWorkMeeting() {
		return workMeeting;
	}

	public void setWorkMeeting(WorkMeeting workMeeting) {
		this.workMeeting = workMeeting;
	}
}